//importing json and geo paths
import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

//setting width, height
const width = +svg.attr('width');
const height = +svg.attr('height');

//setting the geo porjection type
  const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

// appending json file 
svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));

json('https://gist.githubusercontent.com/Asherpranayp/ff6d3c96d69b0680d47868a12fa1ef94/raw/7e8cc197d0537c745495261ee3adaea3ef7d85e3/worldsdata.json')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
  
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});
